/* BdfServer - Copyright (c) 2023 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ui;

import net.fichotheque.externalsource.ExternalSourceDef;
import net.mapeadores.util.text.Labels;


/**
 *
 * @author Vincent Calame
 */
public interface DataUi extends UiComponent {

    public String getDataName();

    public Labels getLabels();

    public ExternalSourceDef getExternalSourceDef();

    public static String toComponentName(String dataName) {
        return "data_" + dataName;
    }

}
